function [calcY,calcX] = getPositionAVS(coordinate1, coordinate2, angle1, angle2)
%Get Position Fucntion attempts to use the delay calcualted in the getDelay
%function to find the estimated source position. It does so by calcuated
%then angle and then using that angle to find the triangulated position. 

%coordinate1: row vector [x;y] with position of AVS 1 (right side wrt to
%sensor 2 in the sense of x axis.
%coordinate2: row vector [x;y] with position of AVS 2 
%angle1= angle in radians computed from Capon Spectrum beamforming using AVS1
%angle2= angle in radians computed from Capon Spectrum beamforming using AVS2



D=norm(coordinate1-coordinate2);
v=340.29;
centercoordinate=(coordinate1+coordinate2)/2;
arrayX=centercoordinate(1);
arrayY=centercoordinate(2);

calcX = -(D/2)*(tan(angle2) + tan(angle1))/(tan(angle2)-tan(angle1))+arrayX;
calcY = -D*(tan(angle2)*tan(angle1))/(tan(angle2)-tan(angle1))+arrayY;

